Name:           libktorrent
Version:        23.08.5
Release:        %mkrel 1
Summary:        BitTorrent program for KDE
Group:          Graphical desktop/KDE5
License:        GPLv2+
URL:            https://www.kde.org/applications/internet/ktorrent/
Source0:        http://download.kde.org/stable/ktorrent/5.0/%{name}-%{version}.tar.xz

BuildRequires:  gmp-devel
BuildRequires:  boost-devel
BuildRequires:  libgcrypt-devel

BuildRequires:  cmake
BuildRequires:  extra-cmake-modules
BuildRequires:  kf5-macros
BuildRequires:  lib64kf5archive-devel
BuildRequires:  lib64kf5crash-devel
BuildRequires:  lib64kf5i18n-devel
BuildRequires:  lib64kio-devel
BuildRequires:  lib64kf5solid-devel
BuildRequires:  lib64qca2-qt5-devel

BuildRequires:  qttools5
BuildRequires: lib64qt5core-devel
BuildRequires: lib64qt5gui-devel
BuildRequires: lib64qt5network-devel
BuildRequires: lib64qt5test-devel
BuildRequires: lib64qt5widgets-devel
BuildRequires: lib64qt5xml-devel
BuildRequires: lib64geoip-devel


%description
KTorrent is a BitTorrent program for KDE. It's main features are:
 o Downloads torrent files
 o Upload speed capping, seeing that most people can't upload
   infinite amounts of data.
 o Internet searching using  The Bittorrent website's search engine
 o UDP Trackers

#-------------------------------------------------------------------------
%files -f %{name}5.lang

%define ktorrent_major 6
%define libktorrent %mklibname kf5ktorrent %ktorrent_major

%package -n     %libktorrent
Summary:        Ktorrent libbrary
Group:          System/Libraries
Obsoletes:		lib64kde4-ktorrent5
Requires:		%name

%description -n %libktorrent
KTorrent is a BitTorrent program for KDE. It's main features are:
 o Downloads torrent files
 o Upload speed capping, seeing that most people can't upload
   infinite amounts of data.
 o Internet searching using  The Bittorrent website's search engine
 o UDP Trackers

%files -n %libktorrent
%_kf5_libdir/libKF5Torrent.so.%{ktorrent_major}*
%_kf5_libdir/libKF5Torrent.so.%{version}
#-------------------------------------------------------------------------

%define develname %mklibname kf5ktorrent -d

%package -n     %{develname}
Summary:        Ktorrent plugin devel headers
Group:          Development/Libraries
Requires:       %{libktorrent} = %{version}
Provides:       %{name}-devel = %{version}
Provides:       ktorrent-devel = %{version}
Obsoletes:		lib64kde4-ktorrent-devel

%description -n %{develname}
Ktorrent plugin devel headers.

%files -n %{develname}
%{_includedir}/*
%{_kf5_libdir}/cmake/
%{_kf5_libdir}/*.so

#-------------------------------------------------------------------------

%prep
%setup -q
%autopatch -p1

%build

sd "1.71.0" "1.68.0" CMakeLists.txt
export CFLAGS="$CFLAGS -O3 -pipe -ffast-math"
%cmake_kf5 -DWITH_SYSTEM_GEOIP=ON -DLibGMP_INCLUDE_DIRS=%{multiarch_includedir}
%make
 
%install
rm -rf %buildroot
%make_install -C build

%find_lang %{name}5

%changelog
* Thu Feb 15 2024 tex - 23.08.5-1pclos2024
- new version

* Fri Dec 08 2023 tex - 23.08.4-1pclos2023
- new version

* Thu Nov 09 2023 tex - 23.08.3-1pclos2023
- new version

* Thu Oct 12 2023 tex - 23.08.2-1pclos2023
- new version

